import { SmzDocumentCell } from '../../modules/smz-documents/models/smz-document';
import { SmzDocumentBaseCell } from '../../modules/smz-documents/models/smz-document-features';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzDocumentBuilder } from './document-builder';
import { SmzDocumentRowBuilder } from './document-content';
export type SmzDocumentWidthTypes = 'auto' | 'col-1' | 'col-2' | 'col-3' | 'col-4' | 'col-5' | 'col-6' | 'col-7' | 'col-8' | 'col-9' | 'col-10' | 'col-11' | 'col-12';
export declare class SmzDocumentBaseCellBuilder<T> extends SmzBuilderUtilities<T> {
    _rowBuilder: SmzDocumentRowBuilder;
    _cell: SmzDocumentCell;
    _data: SmzDocumentBaseCell;
    _documentBuilder: SmzDocumentBuilder;
    protected that: T;
    constructor(_rowBuilder: SmzDocumentRowBuilder, _cell: SmzDocumentCell, _data: SmzDocumentBaseCell, _documentBuilder: SmzDocumentBuilder);
    setRowspan(rowsCount: number): T;
    setColspan(colsCount: number): T;
    setHeight(height: string): T;
    setWidth(width: SmzDocumentWidthTypes): T;
    get row(): SmzDocumentRowBuilder;
}
